Subject: Re: linux-next: manual merge of the mm tree with Linus' tree

From: Andrew Morton <[email-masked]>
Date: Mon, 19 Jun 2023 14:39:44 -0700

On Mon, 19 Jun 2023 21:43:11 +0100 Will Deacon <[email-masked]> wrote:

> >   	/*
> >   	 * Do not downgrade mmap_lock if we are next to VM_GROWSDOWN or
> >   	 * VM_GROWSUP VMA. Such VMAs can change their size under
> 
> This resolution seems to be causing horrible problems on arm64 with 16k
> pages. I see things like the crash below, but the two branches being merged
> are fine on their own.

I've dropped the mm.git side of this conflict so next -next should
be better.